org.deidentifier.arx.gui.view.impl.define

## Class LayoutPrivacySettings

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.define.LayoutPrivacySettings

All Implemented Interfaces:
  ILayout

    public class LayoutPrivacySettings
    extends java.lang.Object
    implements ILayout

This layout manages views for criteria and the population model

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`LayoutPrivacySettings(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `updateButtons()` May be triggered by several views and events

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutPrivacySettings

    public LayoutPrivacySettings(org.eclipse.swt.widgets.Composite parent,
                                 Controller controller)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### updateButtons

    public void updateButtons()

May be triggered by several views and events